> For the complete documentation index, see [llms.txt](https://developer.acquire.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.acquire.io/widget/functioning-customization/events-callbacks.md).

# Events/Callbacks

- [reloadUI](https://developer.acquire.io/widget/functioning-customization/events-callbacks/reloadui.md): Reloading the UI from the acquire object
- [onChatMaximize](https://developer.acquire.io/widget/functioning-customization/events-callbacks/onchatmaximize.md): Method to set the widget to max
- [onChatMinimize](https://developer.acquire.io/widget/functioning-customization/events-callbacks/onchatminimize.md): Method to set the widget to max
- [onChatInitiated/Started](https://developer.acquire.io/widget/functioning-customization/events-callbacks/onchatinitiated-started.md): Initiate the chat from the acquire object by maximize the widget state with parameter as Chat.
- [onChatClosed](https://developer.acquire.io/widget/functioning-customization/events-callbacks/onchatclosed.md): Fire the event with the parameters getting from the close event with the acquire object
- [onAgentAssign](https://developer.acquire.io/widget/functioning-customization/events-callbacks/onagentassign.md): Update event on acquire object will be triggered after the agent accept the chat.
- [onAgentStateChange (Available/Unavailable)](https://developer.acquire.io/widget/functioning-customization/events-callbacks/onagentstatechange-available-unavailable.md): The state event triggers when the agent changes it's state to either available/unavailable


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/widget/functioning-customization/events-callbacks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
